using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dplane_t
	{
		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public float[] normal;

		public float dist;

		public int type;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dplane_t));
	}
}
